<?php
/**
* Функции активации/деактивации/удаления плагина
*/

if (!defined('GCU_FILES')) return;

class GcuService
{
    /**
    * Активация плагина
    */
    public static function activation() {
        global $wpdb;
        
        // таблица с сохранёнными URL
        $q = 'CREATE TABLE IF NOT EXISTS ' . $wpdb->prefix . 'plgn_gcu_url (
            comment_ID INT NOT NULL COMMENT "Идентификатор комментария, для которого сохранён url" PRIMARY KEY,
            url TEXT NOT NULL COMMENT "Сохранённый URL",
            params TINYTEXT NOT NULL COMMENT "Причина размещения, например: ИКС = 0"
        ) DEFAULT CHARSET=utf8mb4 COMMENT "Таблица с сохранёнными урлами"';
        $wpdb->query($q);
    }
    
    /**
    * Деактивация плагина
    */
    public static function deactivation() {
        add_option('gcu_notification', '<div class="error"><p>Внимание! При удалении плагина будет удалена и таблица «плохих» URL. Если Вы хотите вернуть эти адреса в таблицу комментариев, активируйте плагин и перейдите в: Настройки → Настройки GCU → Управление и выбирите «Восстановить удалённые URL в таблице комментариев».</p></div>', null, true);
    }
    
    /**
    * Удаление плагина
    */
    public static function uninstall() {
        global $wpdb;
        
        // удалить следы переменных
        delete_option('gcu_params');
        
        // удалить используемые таблицы
        $gcu_table_list = array(
            $wpdb->prefix . 'plgn_gcu_url',
            // $wpdb->prefix . 'TableName',
        );
        
        $q = 'DROP TABLE IF EXISTS ' . implode(', ', $gcu_table_list);
        $wpdb->query($q);
    }
}
